<?php

include_once("c_client_setting.php");
class c_page_cab_client_setting_pass extends c_page_cab_client_setting
{
    public $h1='Смена пароля' ;

    function block_main()
    { $this->page_title() ;
      $this->panel_pass_change() ;
    }

    function panel_pass_change()
     { ?><div id="panel_pass_change"><form>
        <table class="info">
         <tr><td>Пароль:</td><td><input data-required class=password type=password name=member_edit[password] value=""></td></tr>
         <tr><td></td><td><input type="submit" class=v1 cmd="change_pass" value="Сохранить" validate="form"></td></tr>
       </table>
       </form></div><?
     }

     function CMD_change_pass()
     { if ($_POST['member_edit']['password']) $res=ACCOUNTS()->member_save(MEMBER()->id,$_POST['member_edit']) ;
       if (!$res) echo '<div class="red">Изменений не обнаружено</div>' ;
       else echo '<div class="green">Пароль изменен</div>' ;
       ACCOUNTS()->update_member_info(MEMBER()) ; // данные аккаунта будут заново прочитаны из базу
     }

}



?>